diff --git a/common/src/main/scala/net/psforever/packet/game/SquadDetailDefinitionUpdateMessage.scala b/common/src/main/scala/net/psforever/packet/game/SquadDetailDefinitionUpdateMessage.scala
index 98d6adef..62a6702e 100644
--- a/common/src/main/scala/net/psforever/packet/game/SquadDetailDefinitionUpdateMessage.scala
+++ b/common/src/main/scala/net/psforever/packet/game/SquadDetailDefinitionUpdateMessage.scala
@@ -737,27 +678,39 @@ object SquadDetailDefinitionUpdateMessage2 {
   private val zoneCodec : Codec[SquadDetail] = PlanetSideZoneID.codec.exmap[SquadDetail] (
     zone_id => Attempt.successful(SquadDetail(zone_id)),
     {
-      case SquadDetail(_, _, _, _, _, Some(zone_id), _) =>
+      case SquadDetail(_, _, _, _, _, _, Some(zone_id), _, _) =>
         Attempt.successful(zone_id)
       case _ =>
         Attempt.failure(Err("failed to encode squad data for zone id"))
     }
   )
 
+  private val field7Codec : Codec[SquadDetail] = {
+    uint4.exmap[SquadDetail] (
+      unk7 => Attempt.successful(SquadDetail(None, None, None, None, None, None, None, Some(unk7), None)),
+      {
+        case SquadDetail(_, _, _,  _, _, _, _, Some(unk7), _) =>
+          Attempt.successful(unk7)
+        case _ =>
+          Attempt.failure(Err("failed to encode squad data for unknown field #7"))
+      }
+    )
+  }
+
   private def membersCodec(bitsOverByte : StreamLengthToken) : Codec[SquadDetail] = {
     import shapeless.::
-    bitsOverByte.Add(19)
+    bitsOverByte.Add(4)
     (
-      uint(19) :: //constant = 0x60040, or 393280 in 19u BE
+      uint4 :: //constant = 12
         vector(SquadPositionEntry.codec(bitsOverByte))
       ).exmap[SquadDetail] (
       {
-        case _ :: member_list :: HNil =>
+        case 12 :: member_list :: HNil =>
           Attempt.successful(SquadDetail(member_list.toList))
       },
       {
-        case SquadDetail(_, _, _, _, _, _, Some(member_list)) =>
-          Attempt.successful(393280 :: member_list.toVector :: HNil)
+        case SquadDetail(_, _, _, _, _, _, _, _, Some(member_list)) =>
+          Attempt.successful(12 :: member_list.toVector :: HNil)
         case _ =>
           Attempt.failure(Err("failed to encode squad data for members"))
       }
@@ -771,10 +724,13 @@ object SquadDetailDefinitionUpdateMessage2 {
 
   private def selectCodecAction(code : Int, bitsOverByte : StreamLengthToken) : Codec[SquadDetail] = {
     code match {
+      case 1 => field1Codec
       case 2 => leaderCharIdCodec
+      case 3 => field3Codec
       case 4 => leaderNameCodec(bitsOverByte)
       case 5 => taskCodec(bitsOverByte)
       case 6 => zoneCodec
+      case 7 => field7Codec
       case 8 => membersCodec(bitsOverByte)
       case _ => failureCodec
     }
@@ -782,10 +738,13 @@ object SquadDetailDefinitionUpdateMessage2 {
 
   private def modifyCodecPadValue(code : Int, bitsOverByte : StreamLengthToken) : StreamLengthToken = {
     code match {
+      case 1 => bitsOverByte //16u = no added padding
       case 2 => bitsOverByte //32u = no added padding
+      case 3 => bitsOverByte //32u = no added padding
       case 4 => bitsOverByte.Length = 0 //byte-aligned string; padding zero'd
       case 5 => bitsOverByte.Length = 0 //byte-aligned string; padding zero'd
       case 6 => bitsOverByte //32u = no added padding
+      case 7 => bitsOverByte.Add(4) //additional 4u
       case 8 => bitsOverByte.Length = 0 //end of stream
       case _ => bitsOverByte.Length = Int.MinValue //wildly incorrect
     }
@@ -808,11 +767,14 @@ object SquadDetailDefinitionUpdateMessage2 {
   private def linkSquadInfo(info : SquadDetail) : LinkedSquadInfo = {
     //import scala.collection.immutable.::
     Seq(
-      (8, SquadDetail(None, None, None, None, None, None, info.member_info)),
-      (6, SquadDetail(None, None, None, None, None, info.zone_id, None)),
-      (5, SquadDetail(None, None, None, None, info.task, None, None)),
-      (4, SquadDetail(None, None, None, info.leader_name, None, None, None)),
-      (2, SquadDetail(None, info.leader_char_id, None, None, None, None, None))
+      (8, SquadDetail(None, None, None, None, None, None, None, None, info.member_info)),
+      (7, SquadDetail(None, None, None, None, None, None, None, info.unk7, None)),
+      (6, SquadDetail(None, None, None, None, None, None, info.zone_id, None, None)),
+      (5, SquadDetail(None, None, None, None, None, info.task, None, None, None)),
+      (4, SquadDetail(None, None, None, None, info.leader_name, None, None, None, None)),
+      (3, SquadDetail(None, None, None, info.unk3, None, None, None, None, None)),
+      (2, SquadDetail(None, None, info.leader_char_id, None, None, None, None, None, None)),
+      (1, SquadDetail(info.unk1, None, None, None, None, None, None, None, None))
     ) //in reverse order so that the linked list is in the correct order
       .filterNot { case (_, sqInfo) => sqInfo == SquadDetail.Blank}
     match {
@@ -869,7 +831,7 @@ object SquadDetailDefinitionUpdateMessage2 {
     }
   }
 
-  private def codec() : Codec[SquadDetailDefinitionUpdateMessage2] = {
+  implicit val codec : Codec[SquadDetailDefinitionUpdateMessage] = {
     import shapeless.::
     (
       ("guid" | PlanetSideGUID.codec) ::
@@ -877,14 +839,14 @@ object SquadDetailDefinitionUpdateMessage2 {
         (uint8 >>:~ { size =>
           squadDetailSelectCodec(size).hlist
         })
-      ).exmap[SquadDetailDefinitionUpdateMessage2] (
+      ).exmap[SquadDetailDefinitionUpdateMessage] (
       {
         case guid :: _ :: _ :: info :: HNil =>
-          Attempt.Successful(SquadDetailDefinitionUpdateMessage2(guid, info))
+          Attempt.Successful(SquadDetailDefinitionUpdateMessage(guid, info))
       },
       {
-        case SquadDetailDefinitionUpdateMessage2(guid, info) =>
-          val occupiedSquadFieldCount = List(info.unk1, info.leader_char_id, info.unk2, info.leader_name, info.task, info.zone_id, info.member_info)
+        case SquadDetailDefinitionUpdateMessage(guid, info) =>
+          val occupiedSquadFieldCount = List(info.unk1, info.unk2, info.leader_char_id, info.unk3, info.leader_name, info.task, info.zone_id, info.unk7, info.member_info)
             .count(_.nonEmpty)
           if(occupiedSquadFieldCount < 9) {
             //itemized detail definition protocol
@@ -916,6 +878,4 @@ object SquadDetailDefinitionUpdateMessage2 {
       }
     )
   }
-
-  implicit val code : Codec[SquadDetailDefinitionUpdateMessage2] = codec()
 }
diff --git a/pslogin/src/main/scala/WorldSessionActor.scala b/pslogin/src/main/scala/WorldSessionActor.scala
index e59fe423..83d290f8 100644
--- a/pslogin/src/main/scala/WorldSessionActor.scala
+++ b/pslogin/src/main/scala/WorldSessionActor.scala
@@ -2919,21 +2919,28 @@ class WorldSessionActor extends Actor with MDCContextAware {
     sendResponse(
       SquadDetailDefinitionUpdateMessage(
         PlanetSideGUID(3),
-        42771010L,
-        "HofD",
-        "\\#ffdc00***\\#9640ff=KOK+SPC+FLY=\\#ffdc00***\\#FF4040 All Welcome",
-        PlanetSideZoneID(7),
-        List(
-          SquadPositionDetail("\\#ff0000 |||||||||||||||||||||||", "Just a space filler"),
-          SquadPositionDetail("\\#ffdc00   C", ""),
-          SquadPositionDetail(false, "\\#ffdc00   H", "", Set(), 42644970L, "OpoIE"),
-          SquadPositionDetail(false, "\\#ffdc00    I", "", Set(), 41604210L, "BobaF3tt907"),
-          SquadPositionDetail("\\#ffdc00   N", ""),
-          SquadPositionDetail("\\#ffdc00   A", ""),
-          SquadPositionDetail("\\#ff0000 |||||||||||||||||||||||", "Another space filler"),
-          SquadPositionDetail("\\#9640ff   K", ""),
-          SquadPositionDetail(false, "\\#9640ff   O", "", Set(), 42771010L, "HofD"),
-          SquadPositionDetail("\\#9640ff   K", "")
+        SquadDetail(
+          3,
+          1792,
+          42771010L,
+          529745L,
+          "HofD",
+          "\\#ffdc00***\\#9640ff=KOK+SPC+FLY=\\#ffdc00***\\#FF4040 All Welcome",
+          PlanetSideZoneID(7),
+          4983296,
+          List(
+            SquadPositionEntry(0, SquadPositionDetail2("\\#ff0000 |||||||||||||||||||||||", "", Set(), 0, "")),
+            SquadPositionEntry(1, SquadPositionDetail2("\\#ffdc00   C", "", Set(), 0, "")),
+            SquadPositionEntry(2, SquadPositionDetail2("\\#ffdc00   H", "", Set(), 42644970L, "OpolE")),
+            SquadPositionEntry(3, SquadPositionDetail2("\\#ffdc00    I", "", Set(), 41604210L, "BobaF3tt907")),
+            SquadPositionEntry(4, SquadPositionDetail2("\\#ffdc00   N", "", Set(), 0, "")),
+            SquadPositionEntry(5, SquadPositionDetail2("\\#ffdc00   A", "", Set(), 0, "")),
+//            SquadPositionEntry(6, SquadPositionDetail2("\\#ff0000 |||||||||||||||||||||||", "", Set(), 0, "")),
+            SquadPositionEntry(6, SquadPositionDetail2("\\#ff0000 |||||||||||||||||||||||", "", Set(), 1, "Test")),
+            SquadPositionEntry(7, SquadPositionDetail2("\\#9640ff   K", "", Set(), 0, "")),
+            SquadPositionEntry(8, SquadPositionDetail2("\\#9640ff   O", "", Set(), 42771010L ,"HofD")),
+            SquadPositionEntry(9, SquadPositionDetail2("\\#9640ff   K", "", Set(), 0, ""))
+          )
         )
       )
     )
@@ -3349,8 +3356,7 @@ class WorldSessionActor extends Actor with MDCContextAware {
     case msg @ PlayerStateMessageUpstream(avatar_guid, pos, vel, yaw, pitch, yaw_upper, seq_time, unk3, is_crouching, is_jumping, unk4, is_cloaking, unk5, unk6) =>
       if(deadState == DeadState.Alive) {
         if(!player.Crouching && is_crouching) { //SQUAD TESTING CODE
-          //sendRawResponse(hex"e8030080c603c043fe")
-          sendRawResponse(hex"e8 0300 80 c 600408c00000001200008811f6200400144004f007a007a0069004b0069006e006700ff")
+          sendRawResponse(hex"e80300818800015c5189004603408c000000012000ff")
 //          sendResponse(SquadMembershipResponse(SquadRequestType.Invite,0,0,42771010,Some(avatar.CharId),"HofD",false,None))
 //          sendResponse(SquadMembershipResponse(SquadRequestType.Accept,0,0,avatar.CharId,Some(42771010),"VirusGiver",true,Some(None)))
 //          sendResponse(SquadMemberEvent(0,7,42771010,0,Some("HofD"),Some(7),Some(529745)))

